Bug 1285361 - PackageKit-Qt-0.8.9-2 does not build against PackageKit-1.0.7-5 in RHEL7.2
PackageKit-Qt-0.8.9-2 does not build against PackageKit-1.0.7-5 in RHEL7.2
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: PackageKit-Qt (Show other bugs)
epel7
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: epel7ppc64le epel7aarch64
  Show dependency treegraph
 
Reported: 2015-11-25 08:08 EST by Menanteau Guy
Modified: 2016-01-02 20:29 EST (History)
5 users (show)

See Also:
Fixed In Version: PackageKit-Qt-0.9.5-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-02 20:29:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Menanteau Guy 2015-11-25 08:08:45 EST
Build error on PackageKit-Qt-0.8.9-2 in my epel7 ppc64le environment based on RHEL7.2.
/usr/bin/cmake -E cmake_progress_report /builddir/build/BUILD/packagekit-packagekit-qt/ppc64le-redhat-linux-gnu/CMakeFiles 13
/builddir/build/BUILD/packagekit-packagekit-qt/src/transaction.cpp: In member function 'void PackageKit::Transaction::getDepends(const QStringList&, PackageKit::Transaction::Filters, bool)':
/builddir/build/BUILD/packagekit-packagekit-qt/src/transaction.cpp:488:90: error: 'class TransactionProxy' has no member named 'GetDepends'
...

PackageKit have been updated to 1.0.7-5 in RHEL7.2 and PackageKit-Qt failed now.
I am wondering if PackageKit-Qt should be updated too.
Comment 1 Rex Dieter 2015-11-25 09:02:44 EST
Wow, 7.2 made a big jump wrt PackageKit, I'll try to look into it, but will likely have to wait until centos 7.2 is available to test it personally.
Comment 2 Fedora Update System 2015-12-07 14:37:44 EST
apper-0.9.2-3.el7 PackageKit-Qt-0.9.5-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-cd80db2d75
Comment 3 Fedora Update System 2015-12-08 02:20:59 EST
PackageKit-Qt-0.9.5-2.el7, apper-0.9.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update apper PackageKit-Qt'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-cd80db2d75
Comment 4 Fedora Update System 2015-12-17 19:15:26 EST
PackageKit-Qt-0.9.5-2.el7 apper-0.9.2-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-cd80db2d75
Comment 5 Fedora Update System 2015-12-18 09:20:35 EST
PackageKit-Qt-0.9.5-2.el7, apper-0.9.2-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update apper PackageKit-Qt'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-cd80db2d75
Comment 6 Fedora Update System 2016-01-02 20:29:34 EST
PackageKit-Qt-0.9.5-2.el7, apper-0.9.2-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.